#include<bits/stdc++.h>
using namespace std;
#define int long long
#define mid ((l + r) >> 1)
#define ls (now << 1)
#define rs ((now << 1) | 1)
#define mp make_pair

const int N = 10000005;
const int inf = 2e17 + 1;
int n, s;
int chk(int x)
{
	if(x % 7 == 0) return 1;
	while(x)
	{
		if(x % 10 == 7) return 1;
		x /= 10;
	}
	return 0;
}
void init()
{
	cin >> n;
	for(int i = 1; i <= n; ++ i)
		if(!chk(i)) s += i * i;
	cout << s;
}
signed main()
{
	int T = 1;
//	cin >> T;
	while(T --)
		init();
	return 0;
}


